function [f] = reconstructFunctionHandle(L,values,options)

if~isempty(options{28})
   add = zeros(2,size(L,2)-1);
   add = [add [1;-1]];
   f = calcPolytopeSP([L ;add],[values;1;-1],options{2},options{3},zeros(size(L,2),1),[],[]);
else
   f = calcPolytopeSP(L,values,options{2},options{3},zeros(size(L,2),1),[],[]);
end;